textures/rocket2/fence_c10_light
{
    qer_editorimage textures/alpha/fence_c10_light.tga
    surfaceparm roofsteps
    surfaceparm nomarks
    nomipmaps
    nopicmip
    cull disable
    surfaceparm metalsteps
    {
        map textures/alpha/fence_c10_light.tga
        alphaFunc GE128
        depthWrite
        rgbGen vertex
    }
}

textures/rocket2/light_c01_4k
{
    //bright white KP light
    q3map_lightimage textures/lights/light_c01.blend.tga
    qer_editorimage textures/lights/light_c01.tga
    q3map_surfacelight 2000
    light 1
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/lights/light_c01.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/lights/light_c01.blend.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/rocket2/light_m11_blue_2500
{

    qer_editorimage textures/rocket2/light_m11_blue.tga
    q3map_surfacelight 2500
    light 1
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/rocket2/light_m11_blue.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/rocket2/light_m11_blue.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/rocket2/saftey_glass
{
	qer_editorimage textures/common/s_glass.tga		
	surfaceparm alphashadow
	surfaceparm glass 
	cull disable
	qer_trans 	0.5
	surfaceparm trans
	nomipmaps
	nopicmip

	{
		map textures/common/s_glass2.tga
	        alphaFunc GE128
	        depthWrite
		rgbGen vertex
	}
}


textures/rocket2/trainlight
{
    //bright white KP light
    qer_editorimage textures/lights/light_c01.tga
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/lights/light_c01.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/lights/light_c01.blend.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/rocket2/trainflare
{
    qer_editorimage textures/rocket2/train_flareglow.tga
    cull none
    surfaceparm nomarks	
    surfaceparm nolightmap 
    nopicmip
    nofog

    deformVertexes autosprite
    {
	clampmap textures/rocket2/train_flareglow.tga
	//clampmap gfx/misc/flare5.tga
	blendFunc GL_SRC_ALPHA GL_ONE
	rgbgen vertex
    }
}

textures/rocket2/sign_rocket_dir
{
	nomipmaps
    nopicmip
	nocompress
	{
		map textures/rocket2/sign_rocket_dir.jpg
		rgbGen vertex
		alphaGen vertex
	}
}

textures/rocket2/sign_roofdanger
{
	nomipmaps
    nopicmip
	nocompress
	{
		map textures/rocket2/sign_roofdanger.jpg
		rgbGen vertex
		alphaGen vertex
	}
}

textures/rocket2/sign_train_dir
{
	nomipmaps
    nopicmip
	nocompress
	{
		map textures/rocket2/sign_train_dir.jpg
		rgbGen vertex
		alphaGen vertex
	}
}

textures/rocket2/halt_button_on
{
	nomipmaps
    nopicmip
	nocompress
	{
		map textures/rocket2/halt_button_on.jpg
		rgbGen vertex
		alphaGen vertex
	}
}

textures/rocket2/videotest
{
	{
		videomap video/mp_rocket.roq
		rgbGen identity
	}
}

textures/rocket2/luff2
{
	polygonOffset
	entityMergable
	{
		map textures/rocket2/luff2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/rocket2/doggy
{
	nomipmaps
    nopicmip
	nocompress
	{
		map textures/rocket2/doggy.jpg
		rgbGen vertex
		alphaGen vertex
	}
}